Retrieves the project with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

_parent_id

Reference to a parent installation

globally unique identifier
root_parent_id

This field will be filled automatically based on the parent_id

globally unique identifier
_parent_reference_back_office

Embedded entity "project" for parent installation using ERP PK when adding/updating project

string
_parent_project

Embedded entity "project" for parent installation when adding/updating project

project
equipment_family_id

Foreign key to equipment_family. It can be taken via equipment_family_code, equipment_family or equipment model that links to a valid equipment family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating project

string
equipment_family

Embedded entity "equipment_family" when adding/updating project

equipment_family
equipment_model_id

Foreign key to equipment model. It can get via equipment_family_code, equipment_family or equipment_model

globally unique identifier
equipment_model_code

Embedded entity "equipment_model" using ERP PK when adding/updating project

string
equipment_model

Embedded entity "equipment_model" when adding/updating project

equipment_model
project_status_id

Foreign key to project_status

globally unique identifier

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status_code

Embedded entity "project_status" using ERP PK when adding/updating project

string

Optionally required : project_status_id, project_status_code or project_status must be provided

project_status

Embedded entity "project_status" when adding/updating project

project_status

Optionally required : project_status_id, project_status_code or project_status must be provided

company_id

The company owner of this project/installation

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating project

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating project

company

Optionally required : company_id, company_code or company must be provided

db_address_id

Specific db_address_id of the %company_id% if different than the company default address

globally unique identifier
db_address_code

Embedded entity "db_address" using ERP PK when adding/updating project

string
db_address

Embedded entity "db_address" when adding/updating project

db_address
location

Additional text to describe the location

string

Max length: 255

contact_id

Main contact for this project/installation

globally unique identifier
contact_reference_back_office

Embedded entity "contact" using ERP PK when adding/updating project

string
contact

Embedded entity "contact" when adding/updating project

contact
owner_user_id

User owner/manager of this project/installation

globally unique identifier
name

Name of the project/installation

string

Required

Max length: 50

description

Long description

string
reference_back_office

The Id/Ref of the back office for this project/installation. Used by Embedded entity

string

Max length: 255

serial_number

Serial number

string

Max length: 255

barcode

Barcode

string

Max length: 50

date_start_production

Date project/installation becomes active

date
date_create

Creation date+time

date
date_update

Update date+time

date
updated_by_user_id

Last User that updates the object

globally unique identifier
customer_reference

Reference of this project/installation for the customer

string

Max length: 50

warranty_date_until

End date of the warranty (if applicable)

date
last_standard_result_score_1

Last result score 1 (CF Standard module)

string

Max length: 50

last_standard_result_score_2

Last result score 2 (CF Standard module)

string
target_standard_result_score_1

Target result score 1 (CF Standard module)

string

Max length: 50

target_standard_result_score_2

Target result score 2 (CF Standard module)

string

Max length: 50

date_built

Build date of the installation (if applicable)

date
shutdown_consequence

Consequence of the installation is shut down (CEO has no air cooling anymore,..)

string

Max length: 4000

id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer
nb_open_jobs

Readonly - Number of open jobs

integer
date_next_job

Date+time of the next job planned

date
date_last_job

Date+time of the last job completed

date
nb_jobs_planned

Number of jobs with status Planned

integer
nb_jobs_tobeplanned

Number of jobs with status To Be Planned

integer
nb_jobs_waitingfurtheraction

Number of jobs with status Waiting Further Action

integer
back_office_timestamp

Back Office timestamp value (conflict detection purpose)

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
is_mobile_installation

Set it TRUE if this is a mobile installation.

boolean

Response Formats

application/json, text/json

Sample:
{
  "id": "96f44657-4537-4ec6-8b0c-ca5ed487c374",
  "_parent_id": "0e3eb651-4af3-458d-934e-1ef7c03fb042",
  "root_parent_id": "cae241ba-70f6-43fe-83bd-12e37aac3b55",
  "_parent_reference_back_office": "sample string 4",
  "equipment_family_id": "fde6c1a1-2bea-48b9-ba3f-6409e0b839ed",
  "equipment_family_code": "sample string 6",
  "equipment_family": {
    "id": "4ba7247f-7d9d-4435-9edc-41f6dc0a89f0",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "fe93a946-a4d2-4695-af4b-aee107c24f14",
    "_parent_code": "sample string 6",
    "sales_organization_id": "bd1a8410-b567-4c89-ba4e-7615d88a7462",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "48a09f8c-0940-44f5-af07-34c0b11e583e",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "e91917f1-1863-484a-9f08-53fb87435d08",
      "db_currency_id": "6fe6e22e-64b0-46cf-9b87-87cef5687593",
      "db_language_id": "ca6c6047-4ff5-4696-910d-5ec231021b0b",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-22T12:08:57.8581939+00:00"
    },
    "modified_dateutc": "2026-10-22T12:08:57.8581939+00:00"
  },
  "equipment_model_id": "bb8285a8-b4cb-4f05-bd58-50e5a36a2b5b",
  "equipment_model_code": "sample string 8",
  "equipment_model": {
    "id": "bf9dd6e5-fa3b-45ea-90c5-7441d9603d9e",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "equipment_brand_id": "b00e79b8-07a1-4e99-beb1-e35fd2dc4e42",
    "equipment_brand_code": "sample string 6",
    "equipment_brand": {
      "id": "4afa14d5-de24-492c-a379-3dfc4676e43c",
      "name": "sample string 2",
      "code": "sample string 3",
      "sales_organization_id": "6697d285-b3da-445e-82c3-0aa424372e4e",
      "sales_organization_code": "sample string 5",
      "sales_organization": {
        "id": "48a09f8c-0940-44f5-af07-34c0b11e583e",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "e91917f1-1863-484a-9f08-53fb87435d08",
        "db_currency_id": "6fe6e22e-64b0-46cf-9b87-87cef5687593",
        "db_language_id": "ca6c6047-4ff5-4696-910d-5ec231021b0b",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-22T12:08:57.8581939+00:00"
      },
      "modified_dateutc": "2026-10-22T12:08:57.8581939+00:00"
    },
    "equipment_family_id": "664ab77d-196c-4988-9b76-56d020fcb29e",
    "equipment_family_code": "sample string 8",
    "equipment_family": {
      "id": "4ba7247f-7d9d-4435-9edc-41f6dc0a89f0",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "_parent_id": "fe93a946-a4d2-4695-af4b-aee107c24f14",
      "_parent_code": "sample string 6",
      "sales_organization_id": "bd1a8410-b567-4c89-ba4e-7615d88a7462",
      "sales_organization_code": "sample string 8",
      "sales_organization": {
        "id": "48a09f8c-0940-44f5-af07-34c0b11e583e",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "e91917f1-1863-484a-9f08-53fb87435d08",
        "db_currency_id": "6fe6e22e-64b0-46cf-9b87-87cef5687593",
        "db_language_id": "ca6c6047-4ff5-4696-910d-5ec231021b0b",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-22T12:08:57.8581939+00:00"
      },
      "modified_dateutc": "2026-10-22T12:08:57.8581939+00:00"
    },
    "date_in_production_since": "2026-10-22T12:08:57.8581939+00:00",
    "date_out_of_production_since": "2026-10-22T12:08:57.8581939+00:00",
    "date_end_support": "2026-10-22T12:08:57.8581939+00:00",
    "sales_organization_id": "0d67a6b9-968e-4e06-938c-34a97fb0d3d5",
    "sales_organization_code": "sample string 13",
    "sales_organization": {
      "id": "48a09f8c-0940-44f5-af07-34c0b11e583e",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "e91917f1-1863-484a-9f08-53fb87435d08",
      "db_currency_id": "6fe6e22e-64b0-46cf-9b87-87cef5687593",
      "db_language_id": "ca6c6047-4ff5-4696-910d-5ec231021b0b",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-22T12:08:57.8581939+00:00"
    },
    "replacement_period_nb_months": 14,
    "warranty_period_nb_months": 15,
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ],
    "modified_dateutc": "2026-10-22T12:08:57.8581939+00:00"
  },
  "project_status_id": "1fd84f7c-770f-4e05-aac2-c4371f0215ed",
  "project_status_code": "sample string 10",
  "project_status": {
    "id": "22f94ea1-9cb3-45a4-880f-6fd996ab2770",
    "name": "sample string 2",
    "is_default": true,
    "is_closed": true,
    "sales_organization_id": "ffd5b604-e990-404c-9d24-ca6691ddcbad",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "48a09f8c-0940-44f5-af07-34c0b11e583e",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "e91917f1-1863-484a-9f08-53fb87435d08",
      "db_currency_id": "6fe6e22e-64b0-46cf-9b87-87cef5687593",
      "db_language_id": "ca6c6047-4ff5-4696-910d-5ec231021b0b",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-22T12:08:57.8581939+00:00"
    },
    "code": "sample string 7",
    "modified_dateutc": "2026-10-22T12:08:57.8581939+00:00"
  },
  "company_id": "e29f0033-21d8-4cf9-a58e-5dd32712019e",
  "company_code": "sample string 12",
  "db_address_id": "bf052e25-5869-475b-b62c-24784b8b695e",
  "db_address_code": "sample string 14",
  "location": "sample string 15",
  "contact_id": "a9bb5880-1820-402b-8205-118f3aca1132",
  "contact_reference_back_office": "sample string 17",
  "owner_user_id": "5b67e999-fc38-4e4b-ac7b-fbc1ccca4002",
  "name": "sample string 19",
  "description": "sample string 20",
  "reference_back_office": "sample string 21",
  "serial_number": "sample string 22",
  "barcode": "sample string 23",
  "date_start_production": "2026-10-22T12:08:57.8581939+00:00",
  "date_create": "2026-10-22T12:08:57.8581939+00:00",
  "date_update": "2026-10-22T12:08:57.8715629+00:00",
  "updated_by_user_id": "3f656f4b-c6b5-4536-a205-a438714366da",
  "customer_reference": "sample string 28",
  "warranty_date_until": "2026-10-22T12:08:57.8715629+00:00",
  "last_standard_result_score_1": "sample string 30",
  "last_standard_result_score_2": "sample string 31",
  "target_standard_result_score_1": "sample string 32",
  "target_standard_result_score_2": "sample string 33",
  "date_built": "2026-10-22T00:00:00+00:00",
  "shutdown_consequence": "sample string 35",
  "id2": 36,
  "nb_open_jobs": 37,
  "date_next_job": "2026-10-22T12:08:57.8715629+00:00",
  "date_last_job": "2026-10-22T12:08:57.8715629+00:00",
  "nb_jobs_planned": 40,
  "nb_jobs_tobeplanned": 41,
  "nb_jobs_waitingfurtheraction": 42,
  "back_office_timestamp": "2026-10-22T12:08:57.8715629+00:00",
  "modified_dateutc": "2026-10-22T12:08:57.8715629+00:00",
  "is_mobile_installation": true
}